<template>
    <div class="conversation">
        <h1>{{ match ? match.name : 'Conversation' }}</h1>
        <MessagesFeed :match="match" :messages="messages" />
        <MessageComposer @sendMessage="sendMessage" />
    </div>
</template>

<script>
import MessagesFeed from './MessagesFeed.vue';
import MessageComposer from './MessageComposer.vue';

export default {
    components: {
        MessagesFeed,
        MessageComposer,
    },
    props: {
        match: {
            type: Object,
            required: true,
            default: null,
        },
        messages: {
            type: Array,
            required: true,
            default: [],
        },
    },
    methods: {
        sendMessage(message) {
            axios.post(`/chat/private/conversation/${this.match.id}`, {
                message: message,
            }).then(response => {
                // this.messages.push(response.data);
                this.$emit('messageSent', response.data.message);
            }).catch(error => {
                console.log(error);
            });
        },
    },
}
</script>

<style lang="scss" scoped>
.conversation {
    flex: 5;
    display: flex;
    flex-direction: column;
    align-items: right;
    padding: 1rem;
    justify-content: space-between;
    h1 {
        font-size: 1.5rem;
        font-weight: 300;
        margin-bottom: 1rem;
        border-bottom: 1px solid #e6e6e6;
    }
}
</style>
